Subject: bug#7747: Please put current file name in the prompt for rename-file

From: Stefan Monnier <[email-masked]>
Date: Sat, 01 Jan 2011 21:53:33 -0500

retitle 7747 Allow choice of "default in M-n" vs "default in `initial'"
severity 7747 wishlist
thanks

> I think this is a much better UI than the current implementation to
> handle default values.

Clearly, that's the one you're used to from the rest of your w32 world.
Whether it's better or not also depends on whether you use and like
delete-selection-mode.
In any case, I don't think the default will change any time soon in this
respect, but I do hope that we will change the code so that end users
can choose between the two behaviors.

        Stefan